Bug Hunting Session
Bug 79275 - File Properties dialog’s layout is subpar
Summary: File Properties dialog’s layout is subpar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0.0.beta2 target:4.2.6
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-26 20:49 UTC by Adolfo Jayme
Modified: 2014-05-29 08:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Annotated screenshot (54.21 KB, image/png)
2014-05-26 20:49 UTC, Adolfo Jayme
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2014-05-26 20:49:53 UTC
Created attachment 99895 [details]
Annotated screenshot

The General tab of the File > Properties dialog is ugly because its layout is highly unstable. I’ve highlighted many errors on the attached screenshot.

Its layout depend on the different labels’ length, so that lenghty translations add up to an useless white space near the document’s icon — that space should be available to the short file name field instead, which is again dependable on the length of the document author’s name, a label that’s placed much below and thus is unrelated.

Note that, in the attached screenshot, the Properties dialog is much wider than if the shown fields were empty, leading to all of that messy white space.

(@Caolán: CCed you as you’re the expert in Glade :-), i hope you find a little time to cast more of your magic on this. Thanks in advance for any response!)
Comment 1 Commit Notification 2014-05-27 11:29:47 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9a0c51d74d1169e5ce6eef1edd7499dc7e998d0&h=libreoffice-4-3

Resolves: fdo#79275 File Properties dialogâs layout is subpar


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2014-05-27 11:30:02 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b47595a34c0b687cc02290b0a9cbf8508407082

Resolves: fdo#79275 File Properties dialogâs layout is subpar



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2014-05-27 11:31:47 UTC
fixed in master and 4-3 and backport proposed on gerrit for 4-2.

Its just mostly cut and paste in glade to fix these things. And the "location" value was a label with an accidental 0.5 text align for centering instead of 0 for left
Comment 4 Commit Notification 2014-05-29 08:00:36 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c7642111b400c8ce332539a0d700be7f1d905e6b&h=libreoffice-4-2

Resolves: fdo#79275 File Properties dialogâs layout is subpar


It will be available in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.